"use strict";
/*!
 * ContractCase Core HTTP Plugin
 * Copyright(c) 2022-2024 Timothy Jones (TLJ)
 * BSD-3-Clause license
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
Object.defineProperty(exports, "__esModule", { value: true });
const case_core_plugin_http_dsl_1 = require("@contract-case/case-core-plugin-http-dsl");
const matchers_1 = require("./matchers");
const mocks_1 = require("./mocks");
const description_1 = require("./description");
__exportStar(require("./matchers"), exports);
__exportStar(require("./mocks"), exports);
__exportStar(require("./mocks/types"), exports);
const CoreHttpPlugin = {
    description: description_1.description,
    matcherExecutors: {
        [case_core_plugin_http_dsl_1.HTTP_BASIC_AUTH_TYPE]: matchers_1.HttpBasicAuthMatcher,
        [case_core_plugin_http_dsl_1.HTTP_REQUEST_MATCHER_TYPE]: matchers_1.HttpRequestMatcher,
        [case_core_plugin_http_dsl_1.HTTP_RESPONSE_MATCHER_TYPE]: matchers_1.HttpResponseMatcher,
        [case_core_plugin_http_dsl_1.HTTP_STATUS_CODE_MATCHER_TYPE]: matchers_1.HttpStatusCodeMatcher,
        [case_core_plugin_http_dsl_1.URL_ENCODED_STRING_TYPE]: matchers_1.UrlEncodedStringMatcher,
    },
    setupMocks: {
        [case_core_plugin_http_dsl_1.MOCK_HTTP_CLIENT]: mocks_1.setupHttpResponseConsumer,
        [case_core_plugin_http_dsl_1.MOCK_HTTP_SERVER]: mocks_1.setupHttpResponseProducer,
    },
};
exports.default = CoreHttpPlugin;
//# sourceMappingURL=index.js.map